{

	//角色切换监听测试脚本

    "AbilityName" : "TestPlayer_Ability_Tianheng_67",

    "AbilityStacking": "Unique",



    "DefaultModifier":

    {

        "OnSwitchTriggered":

        [

            {  

                "$type" : "MoleMole.FireEffect",

                "EffectPattern" : "Eff_Avatar_LevelUp_01",

                "Target" : "Self",

            }

        ],



        "OnSwitchOutBegin":

        [

            {  

                "$type" : "MoleMole.FireEffect",

                "EffectPattern" : "Eff_Avatar_LevelUp_02",

                "Target" : "Self",

            }

        ],



        "OnSwitchOutFinish":

        [

            {  

                "$type" : "MoleMole.FireEffect",

                "EffectPattern" : "Eff_Avatar_LevelUp_01",

                "Target" : "LocalAvatar",

            }

        ],



        "OnSwitchInBegin":

        [

            {  

                "$type" : "MoleMole.FireEffect",

                "EffectPattern" : "Eff_Avatar_LevelUp_02",

                "Target" : "LocalAvatar",

            }

        ],



        "OnSwitchInFinish":

        [

            {  

                "$type" : "MoleMole.FireEffect",

                "EffectPattern" : "Eff_Avatar_LevelUp_01",

                "Target" : "LocalAvatar",

            }

        ],

    },

}